Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.trade
Class ExecutionReport

    java.lang.Object
      com.fxcm.fix.ATradeTransportable
          com.fxcm.fix.trade.ExecutionReport

All Implemented Interfaces:
  IFixDefs, IFixFieldDefs, IFixMsgTypeDefs, IFixValueDefs, ITransportable

    public class ExecutionReport

extends ATradeTransportable

ExecutionReport - sent to notify the customer about the status of the order

      The execution report message is used to:
      1. confirm the receipt of an order
      2. confirm changes to an existing order (i.e. accept cancel and replace requests)
      3. relay order status information
      4. relay fill information on working orders
      6. reject orders
      7. report post-trade fees calculations associated with a trade
      Each execution report contains two fields which are used to communicate both the current state of the order as
      understood by the broker (OrdStatus) and the purpose of the message (ExecType).
      In an execution report the OrdStatus is used to convey the current state of the order. If an order simultaneously
      exists in more than one order state, the value with highest precedence is the value that is reported in the
      OrdStatus field.
      The order statuses are as follows OrdStatusFactory

Field Summary
`static com.fxcm.entity.ICode` | `OBJ_TYPE` ExecutionReport object type

Fields inherited from interface com.fxcm.fix.IFixDefs
`CHANNEL_COLLATERAL_REPORT, CHANNEL_EMAIL, CHANNEL_EXECUTION_REPORT, CHANNEL_MARKET_DATA, CHANNEL_NEWS, CHANNEL_OTHER, CHANNEL_POSITION_REPORT, CHANNEL_RFQ, CHANNEL_SECURITY_STATUS, CHANNEL_SETTING_ALL, CHANNEL_SETTING_DEFAULT, CHANNEL_TRADING_DATA, CHANNEL_TRADING_SESSION_STATUS, FXCMTIMINGINTERVAL_AUX_HOUR1, FXCMTIMINGINTERVAL_AUX_HOUR2, FXCMTIMINGINTERVAL_AUX_HOUR3, FXCMTIMINGINTERVAL_AUX_HOUR4, FXCMTIMINGINTERVAL_AUX_HOUR6, FXCMTIMINGINTERVAL_AUX_HOUR8, FXCMTIMINGINTERVAL_STORAGE_DAY1, FXCMTIMINGINTERVAL_STORAGE_HOUR1, FXCMTIMINGINTERVAL_STORAGE_HOUR2, FXCMTIMINGINTERVAL_STORAGE_HOUR3, FXCMTIMINGINTERVAL_STORAGE_HOUR4, FXCMTIMINGINTERVAL_STORAGE_HOUR6, FXCMTIMINGINTERVAL_STORAGE_HOUR8, FXCMTIMINGINTERVAL_STORAGE_MIN1, FXCMTIMINGINTERVAL_STORAGE_MIN15, FXCMTIMINGINTERVAL_STORAGE_MIN30, FXCMTIMINGINTERVAL_STORAGE_MIN5, FXCMTIMINGINTERVAL_STORAGE_MONTH1, FXCMTIMINGINTERVAL_STORAGE_TICK, FXCMTIMINGINTERVAL_STORAGE_WEEK1`

Fields inherited from interface com.fxcm.fix.IFixValueDefs
`ACCT_TYPE_CUSTOMER_SIDE_OF_BOOKS, BUSINESSREJECTREASON_APPLICATION_NOT_AVAILABLE, BUSINESSREJECTREASON_CONDITIONALLY_REQUIRED_FIELD_MISSING, BUSINESSREJECTREASON_NOT_AUTHORIZED, BUSINESSREJECTREASON_OTHER, BUSINESSREJECTREASON_UNKNOWN_ID, BUSINESSREJECTREASON_UNKNOWN_SECURITY, BUSINESSREJECTREASON_UNSUPPORTED_MESSAGE_TYPE, CLORDLINKID_CONTINGENT, CLORDLINKID_PRIMARY, COLLATERAL_STATUS_UNASSIGNED, COLLINQUIRYRESULT_COLLATERAL_INQUIRY_TYPE_NOT_SUPPORTED, COLLINQUIRYRESULT_INVALID_DESTINATION_REQUESTED, COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_COLLATERAL_TYPE, COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_INSTRUMENT, COLLINQUIRYRESULT_INVALID_PARTIES, COLLINQUIRYRESULT_INVALID_TRANSPORT_TYPE_REQUESTED, COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_ORDER_SPECIFIED, COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_TRADE_SPECIFIED, COLLINQUIRYRESULT_OTHER, COLLINQUIRYRESULT_SUCCESSFUL, COLLINQUIRYRESULT_UNAUTHORIZED_FOR_COLLATERAL_INQUIRY, COLLINQUIRYSTATUS_ACCEPTED, COLLINQUIRYSTATUS_COMPLETED, COLLINQUIRYSTATUS_REJECTED, CONTINGENCYTYPE_ELS, CONTINGENCYTYPE_OCO, CONTINGENCYTYPE_OTO, CONTINGENCYTYPE_OTOCO, CXLREJREASON_OTHER, CXLREJREASON_TOO_LATE_TO_CANCEL, CXLREJREASON_UNKNOWN_ORDER, CXLREJRESPONSETO_ORDER_CANCEL_REPLACE_REQUEST, CXLREJRESPONSETO_ORDER_CANCEL_REQUEST, EMAILTYPE_ADMIN_REPLY, EMAILTYPE_NEW, EMAILTYPE_REPLY, EXECTYPE_ORDER_STATUS, EXECTYPE_TRADE, FXCM_ACCT_TYPE_CLEARING, FXCM_ACCT_TYPE_CONTROLLED, FXCM_ACCT_TYPE_MANAGER, FXCM_SESSION_TYPE_CUSTOMER, FXCM_SESSION_TYPE_DEALER, FXCM_SESSION_TYPE_TRADER, FXCMCONTINUOUS_END, FXCMCONTINUOUS_PACKET, FXCMCONTINUOUS_SINGLE, FXCMORDSTATUS_CANCELLED, FXCMORDSTATUS_DEALERINTERVENTION, FXCMORDSTATUS_EXECUTED, FXCMORDSTATUS_EXECUTING, FXCMORDSTATUS_EXPIRED, FXCMORDSTATUS_INPROCESS, FXCMORDSTATUS_PENDING_CALCULATED, FXCMORDSTATUS_PENDING_CANCEL, FXCMORDSTATUS_PENDING_CANCEL_CALCULATED, FXCMORDSTATUS_REJECTED, FXCMORDSTATUS_REQUOTED, FXCMORDSTATUS_WAITING, FXCMORDTYPE_CLOSE, FXCMORDTYPE_CLOSE_LIMIT, FXCMORDTYPE_CLOSE_MARKET, FXCMORDTYPE_CLOSE_PHONE, FXCMORDTYPE_CLOSE_RANGE, FXCMORDTYPE_CLOSE_REQUOTE, FXCMORDTYPE_ENTRY_LIMIT, FXCMORDTYPE_ENTRY_STOP, FXCMORDTYPE_EQUITY_STOP, FXCMORDTYPE_LIMIT, FXCMORDTYPE_LIMIT_TRAILING_ENTRY, FXCMORDTYPE_MARGIN_CALL, FXCMORDTYPE_OPEN, FXCMORDTYPE_OPEN_LIMIT, FXCMORDTYPE_OPEN_MARKET, FXCMORDTYPE_OPEN_PHONE, FXCMORDTYPE_OPEN_RANGE, FXCMORDTYPE_OPEN_REQUOTE, FXCMORDTYPE_RFQ, FXCMORDTYPE_STOP, FXCMORDTYPE_STOP_TRAILING_ENTRY, FXCMORDTYPE_TRAILING_LIMIT, FXCMORDTYPE_TRAILING_STOP, FXCMPRODUCTID_BULLION, FXCMPRODUCTID_COMMODITY, FXCMPRODUCTID_FOREX, FXCMPRODUCTID_INDEX, FXCMPRODUCTID_TREASURY, FXCMREQUESTREJECTREASON_DATA_NOT_FOUND, FXCMREQUESTREJECTREASON_GENERIC, FXCMREQUESTREJECTREASON_OTHER, FXCMREQUESTREJECTREASON_TRADING_SESSION_NOT_FOUND, FXCMREQUESTREJECTREASON_UNKNOWN, FXCMSUBSCRIPTIONSTATUS_SUBSCRIBE, FXCMSUBSCRIPTIONSTATUS_UNSUBSCRIBE, FXCMTIMINGINTERVAL_DAY1, FXCMTIMINGINTERVAL_HOUR1, FXCMTIMINGINTERVAL_MIN1, FXCMTIMINGINTERVAL_MIN15, FXCMTIMINGINTERVAL_MIN30, FXCMTIMINGINTERVAL_MIN5, FXCMTIMINGINTERVAL_MONTH1, FXCMTIMINGINTERVAL_TICK, FXCMTIMINGINTERVAL_WEEK1, MARGIN_CALL_FLAG_NO, MARGIN_CALL_FLAG_YES, MDENTRYTYPE_ASK, MDENTRYTYPE_ASKCLOSE, MDENTRYTYPE_ASKHIGH, MDENTRYTYPE_ASKLOW, MDENTRYTYPE_ASKOPEN, MDENTRYTYPE_BID, MDENTRYTYPE_BIDCLOSE, MDENTRYTYPE_BIDHIGH, MDENTRYTYPE_BIDLOW, MDENTRYTYPE_BIDOPEN, MDENTRYTYPE_HIGH, MDENTRYTYPE_LOW, MDENTRYTYPE_TICKVOLUME, MDREQREJREASON_DUPLICATEDMDREQID, MDREQREJREASON_MDENTRYTYPE, MDREQREJREASON_PERMISSIONS, MDREQREJREASON_SUBSCRIPTIONREQUESTTYPE, MDREQREJREASON_TRADINGSESSIONID, MDREQREJREASON_UNKNOWNSYMBOL, MDREQREJREASON_UNSUPPORTEDSCOPE, MDUPDATEACTION_DELETE, MDUPDATEACTION_NEW, MDUPDATEACTION_UPDATE, MDUPDATETYPE_FULLREFRESH, MDUPDATETYPE_INCREMENTALREFRESH, ORDREJREASON_BROKER_EXCHANGE_OPTION, ORDREJREASON_DUPLICATE_ORDER, ORDREJREASON_DUPLICATE_VERBAL_ORDER, ORDREJREASON_EXCHANGE_CLOSED, ORDREJREASON_INCORRECT_ALLOCATED_QUANTITY, ORDREJREASON_INCORRECT_QUANTITY, ORDREJREASON_INVALID_INVESTOR_ID, ORDREJREASON_ORDER_EXCEEDS_LIMIT, ORDREJREASON_OTHER, ORDREJREASON_STALE_ORDER, ORDREJREASON_SURVEILLENCE_OPTION, ORDREJREASON_TOO_LATE_TO_ENTER, ORDREJREASON_TRADE_ALONG_REQUIRED, ORDREJREASON_UNKNOWN_ACCOUNT, ORDREJREASON_UNKNOWN_ORDER, ORDREJREASON_UNKNOWN_SYMBOL, ORDREJREASON_UNSUPPORTED_ORDER_CHARACTERISTIC, ORDSTATUS_ACCEPTED_FOR_BIDDING, ORDSTATUS_CALCULATED, ORDSTATUS_CANCELLED, ORDSTATUS_DONE_FOR_DAY, ORDSTATUS_EXPIRED, ORDSTATUS_FILLED, ORDSTATUS_NEW, ORDSTATUS_PARTIALLY_FILLED, ORDSTATUS_PENDING_CANCEL, ORDSTATUS_PENDING_NEW, ORDSTATUS_PENDING_REPLACE, ORDSTATUS_REJECTED, ORDSTATUS_REPLACED, ORDSTATUS_STOPPED, ORDSTATUS_SUSPENDED, ORDTYPE_LIMIT, ORDTYPE_MARKET, ORDTYPE_PEG, ORDTYPE_PREVIOUSLY_INDICATED, ORDTYPE_PREVIOUSLY_QUOTED, ORDTYPE_STOP, ORDTYPE_STOP_LIMIT, PEGMOVETYPE_FIXED, PEGMOVETYPE_FLOATING, PEGOFFSETTYPE_BASIS_POINTS, PEGOFFSETTYPE_PRICE, PEGOFFSETTYPE_PRICE_TIER, PEGOFFSETTYPE_TICKS, PEGPRICETYPE_MARKET, PEGPRICETYPE_OPENING, POS_REQ_RESULT_INVALID, POS_REQ_RESULT_NOTAUTHORIZED, POS_REQ_RESULT_NOTFOUND, POS_REQ_RESULT_NOTSUPPORTED, POS_REQ_RESULT_OTHER, POS_REQ_RESULT_VALID, POSREQRESULT_INVALID_OR_UNSUPPORTED_REQUEST, POSREQRESULT_NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA, POSREQRESULT_NOT_AUTHORIZED_TO_REQUEST_POSITIONS, POSREQRESULT_OTHER, POSREQRESULT_REQUEST_FOR_POSITION_NOT_SUPPORTED, POSREQRESULT_VALID_REQUEST, POSREQSTATUS_COMPLETED, POSREQSTATUS_REJECTED, POSREQTYPE_POSITIONS, POSREQTYPE_TRADES, PRODUCT_AGENCY, PRODUCT_COMMODITY, PRODUCT_CORPORATE, PRODUCT_CURRENCY, PRODUCT_EQUITY, PRODUCT_FINANCING, PRODUCT_GOVERNMENT, PRODUCT_INDEX, PRODUCT_LOAN, PRODUCT_MONEYMARKET, PRODUCT_MORTGAGE, PRODUCT_MUNICIPAL, PRODUCT_OTHER, QUOTECONDITION_ACTIVE, QUOTECONDITION_INACTIVE, QUOTERESPTYPE_PASS, QUOTETYPE_INDICATIVE, QUOTETYPE_TRADEABLE, SETTL_PRICE_TYPE_FINAL, SIDE_BUY, SIDE_SELL, SIDE_UNDISCLOSED, SUBSCRIPTIONREQUESTTYPE_SNAPSHOT, SUBSCRIPTIONREQUESTTYPE_SUBSCRIBE, SUBSCRIPTIONREQUESTTYPE_UNSUBSCRIBE, TIMEINFORCE_DAY, TIMEINFORCE_FILL_OR_KILL, TIMEINFORCE_GOOD_TILL_CANCEL, TIMEINFORCE_GOOD_TILL_DATE, TIMEINFORCE_IMMEDIATE_OR_CANCEL, TRADSESMODE_PRODUCTION, TRADSESMODE_SIMULATED, TRADSESMODE_TESTING, TRADSESSTATUS_CLOSED, TRADSESSTATUS_HALTED, TRADSESSTATUS_OPEN, TRADSESSTATUS_PRECLOSE, TRADSESSTATUS_PREOPEN, TRADSESSTATUS_REQUESTREJECTED, TRADSESSTATUS_UNKNOWN, TRADSESSTATUSREJREASON_OTHER, TRADSESSTATUSREJREASON_UNKNOWN_OR_INVALID_TRADINGSESSIONID, URGENCY_BACKGROUND, URGENCY_FLASH, URGENCY_NORMAL, USERREQUESTTYPE_ATTACHSESSION, USERREQUESTTYPE_CHANGEPASSWORD, USERREQUESTTYPE_LISTOFSESSIONS, USERREQUESTTYPE_LOADSESSION, USERREQUESTTYPE_LOGOFFUSER, USERREQUESTTYPE_LOGONUSER, USERREQUESTTYPE_LOGONUSER2, USERREQUESTTYPE_USERSTATUS, USERSTATUS_LOGGEDIN, USERSTATUS_NOTLOGGEDIN, USERSTATUS_OTHER, USERSTATUS_PASSWORDCHANGED, USERSTATUS_PASSWORDINCORRECT, USERSTATUS_USERNOTRECOGNISED`

Fields inherited from interface com.fxcm.fix.IFixMsgTypeDefs
`MSGTYPE_BUSINESSMESSAGEREJECT, MSGTYPE_COLLATERALINQUIRY, MSGTYPE_COLLATERALINQUIRYACK, MSGTYPE_COLLATERALREPORT, MSGTYPE_EMAIL, MSGTYPE_EXECUTION_REPORT, MSGTYPE_FXCMDASMESSAGE, MSGTYPE_FXCMMDSRESPONSEBATCH, MSGTYPE_FXCMNEWSREQUEST, MSGTYPE_FXCMNEWSTOPICREQUEST, MSGTYPE_FXCMNEWSTOPICRESPONSE, MSGTYPE_FXCMREQUEST, MSGTYPE_FXCMREQUESTBATCH, MSGTYPE_FXCMREQUESTREJECT, MSGTYPE_FXCMRESPONSE, MSGTYPE_FXCMRESPONSEBATCH, MSGTYPE_HEARTBEAT, MSGTYPE_LOGON, MSGTYPE_LOGOUT, MSGTYPE_MARKETDATAREQUEST, MSGTYPE_MARKETDATAREQUESTREJECT, MSGTYPE_MARKETDATASNAPSHOTFULLREFRESH, MSGTYPE_MARKETDATASNAPSHOTINCREMENTALREFRESH, MSGTYPE_NEWS, MSGTYPE_ORDERCANCELREJECT, MSGTYPE_ORDERCANCELREPLACEREQUEST, MSGTYPE_ORDERCANCELREQUEST, MSGTYPE_ORDERLIST, MSGTYPE_ORDERMASSSTATUSREQUEST, MSGTYPE_ORDERSINGLE, MSGTYPE_ORDERSTATUSREQUEST, MSGTYPE_POSITIONREPORT, MSGTYPE_QUOTE, MSGTYPE_QUOTE_REQUEST, MSGTYPE_QUOTE_REQUESTREJECT, MSGTYPE_QUOTE_RESPONSE, MSGTYPE_QUOTECANCEL, MSGTYPE_REQUESTFORPOSITIONS, MSGTYPE_REQUESTFORPOSITIONSACK, MSGTYPE_SECURITYLIST, MSGTYPE_SECURITYLISTREQUEST, MSGTYPE_SECURITYSTATUS, MSGTYPE_SECURITYSTATUSREQUEST, MSGTYPE_TESTREQUEST, MSGTYPE_TRADINGSESSIONSTATUS, MSGTYPE_TRADINGSESSIONSTATUSREQUEST, MSGTYPE_USERREQUEST, MSGTYPE_USERRESPONSE`

Fields inherited from interface com.fxcm.fix.IFixFieldDefs
`FLDTAG_ACCOUNT, FLDTAG_ACCTIDSOURCE, FLDTAG_ACCTTYPE, FLDTAG_AVGPX, FLDTAG_BATCHREQUEST_BATCHRESPONSE, FLDTAG_BIDTYPE, FLDTAG_BUSINESSREJECTREASON, FLDTAG_BUSINESSREJECTREFID, FLDTAG_CASHOUTSTANDING, FLDTAG_CFICODE, FLDTAG_CLEARINGBUSINESSDATE, FLDTAG_CLORDID, FLDTAG_CLORDLINKID, FLDTAG_COLLINQUIRYID, FLDTAG_COLLINQUIRYRESULT, FLDTAG_COLLINQUIRYSTATUS, FLDTAG_COLLRPTID, FLDTAG_COLLSTATUS, FLDTAG_COMMISSION, FLDTAG_CONTINGENCYTYPE, FLDTAG_CONTRACTMULTIPLIER, FLDTAG_CUMQTY, FLDTAG_CURRENCY, FLDTAG_CURRENTVOLUME, FLDTAG_CURRENTVOLUME_TIME, FLDTAG_CXLREJREASON, FLDTAG_CXLREJRESPONSETO, FLDTAG_EFFECTIVETIME, FLDTAG_EMAILTHREADID, FLDTAG_EMAILTYPE, FLDTAG_EMBMSG, FLDTAG_ENDCASH, FLDTAG_ENTITYCODE, FLDTAG_EXECID, FLDTAG_EXECINSTR, FLDTAG_EXECTYPE, FLDTAG_EXPIREDATE, FLDTAG_EXPIRETIME, FLDTAG_FACTOR, FLDTAG_FXCMATTACHSESSION_SID, FLDTAG_FXCMCASHDAILY, FLDTAG_FXCMCLIENTEXTRA, FLDTAG_FXCMCLOSECLORDID, FLDTAG_FXCMCLOSEORDERID, FLDTAG_FXCMCLOSESECONDARYCLORDID, FLDTAG_FXCMCLOSESETTLPRICE, FLDTAG_FXCMCOMMANDID, FLDTAG_FXCMCONDDISTENTRYLIMIT, FLDTAG_FXCMCONDDISTENTRYSTOP, FLDTAG_FXCMCONDDISTLIMIT, FLDTAG_FXCMCONDDISTSTOP, FLDTAG_FXCMCONTINGENCYID, FLDTAG_FXCMCONTINUOUSFLAG, FLDTAG_FXCMDASMESSAGE_ACCTID, FLDTAG_FXCMDASMESSAGE_ACTION, FLDTAG_FXCMDASMESSAGE_CODE, FLDTAG_FXCMDASMESSAGE_KIND, FLDTAG_FXCMDASMESSAGE_LID1, FLDTAG_FXCMDASMESSAGE_LID2, FLDTAG_FXCMDASMESSAGE_MSGIDEXT, FLDTAG_FXCMDASMESSAGE_OBJID, FLDTAG_FXCMDASMESSAGE_OBJTYPE, FLDTAG_FXCMDASMESSAGE_PRICESTREAM, FLDTAG_FXCMDASMESSAGE_SID, FLDTAG_FXCMDASMESSAGE_SRVKIND, FLDTAG_FXCMDBALIAS, FLDTAG_FXCMENDDATE, FLDTAG_FXCMENDTIME, FLDTAG_FXCMERRORDETAILS, FLDTAG_FXCMINCLUDEWEEKENDS, FLDTAG_FXCMMARGINCALL, FLDTAG_FXCMMAXNORESULTS, FLDTAG_FXCMMAXQUANTITY, FLDTAG_FXCMMDENTRYAMOUNT, FLDTAG_FXCMMDENTRYLIST, FLDTAG_FXCMMDLADDERID, FLDTAG_FXCMMDORIGINATOR, FLDTAG_FXCMMDPRICELADDERS, FLDTAG_FXCMMDQUOTEDATETIME, FLDTAG_FXCMMDQUOTEEXPIREDATETIME, FLDTAG_FXCMMDQUOTES, FLDTAG_FXCMMINQUANTITY, FLDTAG_FXCMMSGID, FLDTAG_FXCMNADDONTEXT, FLDTAG_FXCMNOADDON, FLDTAG_FXCMNOPARAM, FLDTAG_FXCMNOPRICESTREAM, FLDTAG_FXCMNOSNAPSHOT, FLDTAG_FXCMORDSTATUS, FLDTAG_FXCMORDTYPE, FLDTAG_FXCMPAGEID, FLDTAG_FXCMPAGEIDNO, FLDTAG_FXCMPAGEVIEWID, FLDTAG_FXCMPAGEVIEWLIFETIME, FLDTAG_FXCMPARAMNAME, FLDTAG_FXCMPARAMVALUE, FLDTAG_FXCMPEGFLUCTUATEPTS, FLDTAG_FXCMPOSCLOSEPNL, FLDTAG_FXCMPOSCLOSETIME, FLDTAG_FXCMPOSCOMMISSION, FLDTAG_FXCMPOSID, FLDTAG_FXCMPOSIDREF, FLDTAG_FXCMPOSINTEREST, FLDTAG_FXCMPOSOPENTIME, FLDTAG_FXCMPRICESTREAMID, FLDTAG_FXCMPRICESTREAMNAME, FLDTAG_FXCMPRODUCTID, FLDTAG_FXCMREQUESTREJECT, FLDTAG_FXCMSERVERTIMEZONE, FLDTAG_FXCMSERVERTIMEZONENAME, FLDTAG_FXCMSESSIONMANAGERID, FLDTAG_FXCMSTART, FLDTAG_FXCMSTARTDATE, FLDTAG_FXCMSTARTTIME, FLDTAG_FXCMSUBSCRIPTIONSTATUS, FLDTAG_FXCMSYMID, FLDTAG_FXCMSYMINTERESTBUY, FLDTAG_FXCMSYMINTERESTSELL, FLDTAG_FXCMSYMMARGINRATIO, FLDTAG_FXCMSYMPOINTSIZE, FLDTAG_FXCMSYMPRECISION, FLDTAG_FXCMSYMSORTORDER, FLDTAG_FXCMTIMINGINTERVAL, FLDTAG_FXCMTIMINGINTERVAL_AUX, FLDTAG_FXCMTOPICID1, FLDTAG_FXCMTOPICID2, FLDTAG_FXCMTOPICID3, FLDTAG_FXCMTOPICID4, FLDTAG_FXCMTOPICID5, FLDTAG_FXCMTRADINGSTATUS, FLDTAG_FXCMUSEDMARGIN, FLDTAG_FXCMUSEDMARGIN3, FLDTAG_HEADLINE, FLDTAG_LASTPX, FLDTAG_LASTQTY, FLDTAG_LASTRPTREQUESTED, FLDTAG_LEAVESQTY, FLDTAG_LEGPRICE, FLDTAG_LINESOFTEXT, FLDTAG_LISTID, FLDTAG_LISTSEQNO, FLDTAG_LONGQTY, FLDTAG_MARGINRATIO, FLDTAG_MARKETDEPTH, FLDTAG_MASSSTATUSREQID, FLDTAG_MASSSTATUSREQTYPE, FLDTAG_MDENTRYDATE, FLDTAG_MDENTRYID, FLDTAG_MDENTRYORIGINATOR, FLDTAG_MDENTRYPX, FLDTAG_MDENTRYSIZE, FLDTAG_MDENTRYTIME, FLDTAG_MDENTRYTYPE, FLDTAG_MDREQID, FLDTAG_MDREQREJREASON, FLDTAG_MDUPDATEACTION, FLDTAG_MDUPDATETYPE, FLDTAG_MSGSEQNUM, FLDTAG_MSGTYPE, FLDTAG_NEWPASSWORD, FLDTAG_NOLEGS, FLDTAG_NOMDENTRIES, FLDTAG_NOMDENTRYTYPES, FLDTAG_NOORDERS, FLDTAG_NOPARTYIDS, FLDTAG_NOPARTYSUBIDS, FLDTAG_NOPOSAMT, FLDTAG_NOPOSITIONS, FLDTAG_NORELATEDSYM, FLDTAG_NOTRADINGSESSIONS, FLDTAG_OPENCLOSESETTLFLAG, FLDTAG_ORDER_QTY, FLDTAG_ORDER_QTY2, FLDTAG_ORDER_REJECTION_REASON, FLDTAG_ORDERID, FLDTAG_ORDERPERCENT, FLDTAG_ORDERSTATUS, FLDTAG_ORDERSTATUSREQID, FLDTAG_ORDTYPE, FLDTAG_ORIGCLORDID, FLDTAG_ORIGORDMODTIME, FLDTAG_ORIGTIME, FLDTAG_PARTY_ROLE, FLDTAG_PARTYID, FLDTAG_PARTYID_SOURCE, FLDTAG_PARTYSUBID, FLDTAG_PARTYSUBIDTYPE, FLDTAG_PASSWORD, FLDTAG_PEGLIMITTYPE, FLDTAG_PEGMOVETYPE, FLDTAG_PEGOFFSETTYPE, FLDTAG_PEGOFFSETVALUE, FLDTAG_PEGPRICETYPE, FLDTAG_PEGROUNDDIRECTION, FLDTAG_PEGSCOPE, FLDTAG_POSAMT, FLDTAG_POSAMTTYPE, FLDTAG_POSMAINTRPTID, FLDTAG_POSREQID, FLDTAG_POSREQRESULT, FLDTAG_POSREQSTATUS, FLDTAG_POSREQTYPE, FLDTAG_POSTYPE, FLDTAG_PREVCLOSEPX, FLDTAG_PRICE, FLDTAG_PRIORSETTLPRICE, FLDTAG_PRODUCT, FLDTAG_QUANTITY, FLDTAG_QUOTE_BIDPX, FLDTAG_QUOTE_ID, FLDTAG_QUOTE_OFFERPX, FLDTAG_QUOTE_REQ_ID, FLDTAG_QUOTE_REQUEST_REJECT_REASON, FLDTAG_QUOTE_RESP_ID, FLDTAG_QUOTE_RESP_TYPE, FLDTAG_QUOTECANCELTYPE, FLDTAG_QUOTECONDITION, FLDTAG_QUOTEENTRYID, FLDTAG_QUOTETYPE, FLDTAG_RAWDATA, FLDTAG_RAWDATALENGTH, FLDTAG_REFMSGTYPE, FLDTAG_REPEAT_COUNTER, FLDTAG_RESPONSE_FORMAT, FLDTAG_RESPONSEENCODING, FLDTAG_ROUNDLOT, FLDTAG_SECONDARYCLORDID, FLDTAG_SECONDARYORDERID, FLDTAG_SECURITYLISTREQUESTTYPE, FLDTAG_SECURITYREQID, FLDTAG_SECURITYREQUESTRESULT, FLDTAG_SECURITYRESPONSEID, FLDTAG_SECURITYSTATUSREQID, FLDTAG_SECURITYTYPE, FLDTAG_SETTLDATE, FLDTAG_SETTLPRICE, FLDTAG_SETTLPRICETYPE, FLDTAG_SETTLTYPE, FLDTAG_SHORTQTY, FLDTAG_SIDE, FLDTAG_STARTCASH, FLDTAG_STOPPX, FLDTAG_SUBJECT, FLDTAG_SUBSCRIPTIONREQUESTTYPE, FLDTAG_SYMBOL, FLDTAG_TESTREQID, FLDTAG_TEXT, FLDTAG_TIMEINFORCE, FLDTAG_TOTNOORDERS, FLDTAG_TOTNUMPOSREPORTS, FLDTAG_TOTNUMREPORTS, FLDTAG_TRADEDATE, FLDTAG_TRADEORIGINATIONDATE, FLDTAG_TRADINGSESSIONID, FLDTAG_TRADINGSESSIONSUBID, FLDTAG_TRADSESCLOSETIME, FLDTAG_TRADSESMODE, FLDTAG_TRADSESOPENTIME, FLDTAG_TRADSESREQID, FLDTAG_TRADSESSTARTTIME, FLDTAG_TRADSESSTATUS, FLDTAG_TRADSESSTATUSREJREASON, FLDTAG_TRANSACTTIME, FLDTAG_UNSOLICITEDINDICATOR, FLDTAG_URGENCY, FLDTAG_USERNAME, FLDTAG_USERREQUESTID, FLDTAG_USERREQUESTTYPE, FLDTAG_USERSTATUS, FLDTAG_USERSTATUSTEXT, FLDTAG_VALIDUNTILTIME, FLDTAG_WORKINGINDICATOR`

Constructor Summary
`ExecutionReport()`

Method Summary
`boolean` | `fill(IMessage aMsg)` Fills object state based on message state.
`IContingencyType` | `getContingencyType()`
`double` | `getCumQty()` Total quantity (e.g. number of shares) filled.
`String` | `getCurrency()` Identifies currency used for price.
`UTCTimestamp` | `getEffectiveTime()` datetime of start of value date in system calendar
`String` | `getExecID()` Retrieve Execution ID,a unique identifier of execution message as assigned by sell-side
`IExecType` | `getExecType()` Describes the specific ExecutionReport (i.e.
`UTCTimestamp` | `getExpireTime()` datetime of last tradable second of order in system calendar
`String` | `getFXCMContingencyID()` Server/Sell Side Contingency ID
`String` | `getFXCMErrorDetails()` Obtains the FXCM Error Details, This text contains any error information from the request directly from the FXCM System.
`IFXCMOrdStatus` | `getFXCMOrdStatus()` Obtains the FXCM specific order status code
`IFXCMOrdType` | `getFXCMOrdType()` Obtains the FXCM Order Type, this is the type of order we are representing.
`String` | `getFXCMPosID()` Obtains the trade id, this is the trade id this execution report is associated with
`int` | `getFXCMRequestRejectReason()` Obtains the FXCM Request Reject Reason, this is a FXCM specific reject code.
`double` | `getLastPx()` Price of this (last) fill.
`double` | `getLastQty()` Quantity (e.g. shares) bought/sold on this (last) fill.
`double` | `getLeavesQty()` Quantity open for further execution
`String` | `getListID()` Unique identifier for list as assigned by institution, used to associate multiple individual orders.
`String` | `getMassStatusReqID()` Obtains the request id from the original batch request, this will be the same for all message in the batch so that it is possible to tie a batch together.
`double` | `getOrderPercent()` Get OrderPercent, 1.0 equals net qty order
`double` | `getOrderQty()` Retrieve order amount
`IOrdRejReason` | `getOrdRejReason()`
`IOrdStatus` | `getOrdStatus()` Obtains the order status of this execution report
`String` | `getOrdStatusReqID()` Can be used to uniquely identify a specific Order Status Request message.
`IOrdType` | `getOrdType()` Obtains the order type of this execution report
`String` | `getOrigClOrdID()` Obtains the original client order id
`PegInstruction` | `getPegInstructions()` PegInstructions for this Order not in use currently
`double` | `getPrice()` Retrieve the price of the order
`String` | `getRequestID()` Obtains the Request ID on this object
`String` | `getSecondaryOrderID()`
`ISide` | `getSide()` Retrieve the side of this order, Buy or Sell
`double` | `getStopPx()` Required for OrdType (40) = "Stop" or OrdType (40) = "Stop limit".
`String` | `getText()` Free format text string
`ITimeInForce` | `getTimeInForce()` Specifies how long the order remains in effect.
`int` | `getTotNumReports()` Total number or reports returned in response to a request Can be used when responding to an Order Mass Status Request to identify the total number of Execution Reports which will be returned.
`com.fxcm.entity.ICode` | `getType()` Obtains object type.
`boolean` | `isLastRptRequested()` Indicates whether this message is that last report message in response to a request, such as Order Mass Status Request.
`boolean` | `isValid()` Validates object state.
`void` | `setContingencyType(IContingencyType aContingencyType)`
`void` | `setCumQty(double aCumQty)` Total quantity (e.g. number of shares) filled.
`void` | `setCurrency(String aCurrency)` Set the currency used for price.
`void` | `setEffectiveTime(UTCTimestamp aEffectiveTime)` datetime of start of value date in system calendar
`void` | `setExecID(String aExecID)` Set the Execution ID,a unique identifier of execution message as assigned by sell-side
`void` | `setExecType(IExecType aExecType)` Status of the order,For now, only I (Order Status) is supported.
`void` | `setExpireTime(UTCTimestamp aExpireTime)` datetime of last tradable second of order in system calendar
`void` | `setFXCMContingencyID(String aFXCMContingencyID)` Server/Sell Side Contingency ID
`void` | `setFXCMErrorDetails(String aFXCMErrorDetails)` Sets the FXCM Error details, use this to store error informatino from the FXCM System
`void` | `setFXCMOrdStatus(IFXCMOrdStatus aFXCMOrdStatus)` Sets the FXCM specific order status code, One of the values from `FXCMOrdStatusFactory`
`void` | `setFXCMOrdType(IFXCMOrdType aFXCMOrdType)` Sets the FXCM Order Type, One of the values from `FXCMOrdTypeFactory`
`void` | `setFXCMPosID(String aFXCMPosID)` Sets the trade id this execution report is associated with
`void` | `setFXCMRequestRejectReason(int aFXCMRequestRejectReason)` Sets the FXCM Request Reject Reason Code
`void` | `setLastPx(double aLastPx)` Price of this (last) fill.
`void` | `setLastQty(double aLastQty)` Quantity (e.g. shares) bought/sold on this (last) fill.
`void` | `setLastRptRequested(boolean aLastRptRequested)` Sets whether this message is that last report message in response to a request, such as Order Mass Status Request.
`void` | `setLeavesQty(double aLeavesQty)` Quantity open for further execution
`void` | `setListID(String aListID)` Unique identifier for list as assigned by institution, used to associate multiple individual orders.
`void` | `setMassStatusReqID(String aMassStatusReqID)` Sets the request id from the original batch request, this will be the same for all message in the batch so that it is possible to tie a batch together.
`void` | `setOrderPercent(double aOrderPercent)` Set OrderPercent, 1.0 equals net qty order
`void` | `setOrderQty(double aOrderQty)` Set order amount
`void` | `setOrdRejReason(IOrdRejReason aOrdRejReason)`
`void` | `setOrdStatus(IOrdStatus aOrdStatus)` Sets the order status of this execution report One of the values from `OrdStatusFactory`
`void` | `setOrdStatusReqID(String aOrdStatusReqID)` Can be used to uniquely identify a specific Order Status Request message.
`void` | `setOrdType(IOrdType aOrdType)` Sets the order type of this execution report One of the values from `OrdTypeFactory`
`void` | `setOrigClOrdID(String aOrigClOrdID)` Sets the original client order id
`void` | `setPegInstructions(PegInstruction aPegInstructions)`
`void` | `setPrice(double aPrice)` Set the price of the order
`void` | `setSecondaryOrderID(String aSecondaryOrderID)`
`void` | `setSide(ISide aSide)` Set the aSide for this order.
`void` | `setStopPx(double aStopPx)` Required for OrdType (40) = "Stop" or OrdType (40) = "Stop limit".
`void` | `setText(String aText)` Free format text string
`void` | `setTimeInForce(ITimeInForce aTimeInForce)` Specifies how long the order remains in effect.
`void` | `setTotNumReports(int aTotNumReports)` Sets the total number or reports returned in response to a request Can be used when responding to an Order Mass Status Request to identify the total number of Execution Reports which will be returned.
`IMessage` | `toMessage(String aSID, String aTradingSessionID, String aTradingSessionSubID, String aRequestID, int aOptions, IMessageFactory aFactory)` Converts object to IMessage.
`String` | `toString()`

Methods inherited from class com.fxcm.fix.ATradeTransportable
`fill, getAccount, getClOrdID, getInstrument, getMakingTime, getOrderID, getParties, getSecondaryClOrdID, getTradingSessionID, getTradingSessionSubID, getTransactTime, setAccount, setClOrdID, setInstrument, setOrderID, setParties, setSecondaryClOrdID, setTradingSessionID, setTradingSessionSubID, setTransactTime, toMessage, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBJ_TYPE

    public static final com.fxcm.entity.ICode OBJ_TYPE

  ExecutionReport object type

Constructor Detail

### ExecutionReport

    public ExecutionReport()

Method Detail

### fill

    public boolean fill(IMessage aMsg)

  Description copied from class: `ATradeTransportable`
  Fills object state based on message state.

  Specified by:
    `fill` in interface `ITransportable`
  Overrides:
    `fill` in class `ATradeTransportable`
  Parameters:
    `aMsg` - message to get new state from
  Returns:
    `true` if new state is OK; `false` otherwise.

### getContingencyType

    public IContingencyType getContingencyType()

### setContingencyType

    public void setContingencyType(IContingencyType aContingencyType)

### getCumQty

    public double getCumQty()

  Total quantity (e.g. number of shares) filled.

  Returns:
    CumQty

### setCumQty

    public void setCumQty(double aCumQty)

  Total quantity (e.g. number of shares) filled.

  Parameters:
    `aCumQty` - CumQty

### getCurrency

    public String getCurrency()

  Identifies currency used for price. Absence of this field is interpreted as the default for the security.

  Returns:
    Currency

### setCurrency

    public void setCurrency(String aCurrency)

  Set the currency used for price. Absence of this field is interpreted as the default for the security. It is recommended that systems provide the currency value whenever possible.

  Parameters:
    `aCurrency` - Currency

### getEffectiveTime

    public UTCTimestamp getEffectiveTime()

  datetime of start of value date in system calendar

  Returns:

### setEffectiveTime

    public void setEffectiveTime(UTCTimestamp aEffectiveTime)

  datetime of start of value date in system calendar

  Parameters:
    `aEffectiveTime` -

### getExecID

    public String getExecID()

  Retrieve Execution ID,a unique identifier of execution message as assigned by sell-side

  Returns:
    Order type

### setExecID

    public void setExecID(String aExecID)

  Set the Execution ID,a unique identifier of execution message as assigned by sell-side

  Parameters:
    `aExecID` - ExecID

### getExecType

    public IExecType getExecType()

  Describes the specific ExecutionReport (i.e. New) while OrdStatus (39) will always identify the current order status (i.e. Partially Filled)

  Returns:
    One of the values from `ExecTypeFactory`

### setExecType

    public void setExecType(IExecType aExecType)

  Status of the order,For now, only I (Order Status) is supported.

  Parameters:
    `aExecType` - execType One of the values from `ExecTypeFactory`

### getExpireTime

    public UTCTimestamp getExpireTime()

  datetime of last tradable second of order in system calendar

  Returns:

### setExpireTime

    public void setExpireTime(UTCTimestamp aExpireTime)

  datetime of last tradable second of order in system calendar

  Parameters:
    `aExpireTime` -

### getFXCMContingencyID

    public String getFXCMContingencyID()

  Server/Sell Side Contingency ID

  Returns:
    ContingencyID

### setFXCMContingencyID

    public void setFXCMContingencyID(String aFXCMContingencyID)

  Server/Sell Side Contingency ID

  Parameters:
    `aFXCMContingencyID` - ContingencyID

### getFXCMErrorDetails

    public String getFXCMErrorDetails()

  Obtains the FXCM Error Details, This text contains any error information from the request directly from the FXCM System.

  Returns:
    fxcm error details

### setFXCMErrorDetails

    public void setFXCMErrorDetails(String aFXCMErrorDetails)

  Sets the FXCM Error details, use this to store error informatino from the FXCM System

  Parameters:
    `aFXCMErrorDetails` - FXCMErrorDetails

### getFXCMOrdStatus

    public IFXCMOrdStatus getFXCMOrdStatus()

  Obtains the FXCM specific order status code

  Returns:
    One of the values from `FXCMOrdStatusFactory`

### setFXCMOrdStatus

    public void setFXCMOrdStatus(IFXCMOrdStatus aFXCMOrdStatus)

  Sets the FXCM specific order status code, One of the values from `FXCMOrdStatusFactory`

  Parameters:
    `aFXCMOrdStatus` - FXCMOrdStatus

### getFXCMOrdType

    public IFXCMOrdType getFXCMOrdType()

  Obtains the FXCM Order Type, this is the type of order we are representing.

  Returns:
    One of the values from `FXCMOrdTypeFactory`

### setFXCMOrdType

    public void setFXCMOrdType(IFXCMOrdType aFXCMOrdType)

  Sets the FXCM Order Type, One of the values from `FXCMOrdTypeFactory`

  Parameters:
    `aFXCMOrdType` - FXCMOrdType

### getFXCMPosID

    public String getFXCMPosID()

  Obtains the trade id, this is the trade id this execution report is associated with

  Returns:
    trade id in the system

### setFXCMPosID

    public void setFXCMPosID(String aFXCMPosID)

  Sets the trade id this execution report is associated with

  Parameters:
    `aFXCMPosID` - FXCMPosID

### getFXCMRequestRejectReason

    public int getFXCMRequestRejectReason()

  Obtains the FXCM Request Reject Reason, this is a FXCM specific reject code.

  Returns:
    One of the values from ``FXCMREQUESTREJECTREASON_*``

### setFXCMRequestRejectReason

    public void setFXCMRequestRejectReason(int aFXCMRequestRejectReason)

  Sets the FXCM Request Reject Reason Code

  Parameters:
    `aFXCMRequestRejectReason` - One of the values from ``FXCMREQUESTREJECTREASON_*``

### getLastPx

    public double getLastPx()

  Price of this (last) fill. Required if ExecType (150) = Trade or Trade Correct. Should represent the "all-in" (LastSpotRate + LastForwardPoints) rate for F/X orders. If ExecType (150) =Stopped, represents the price stopped/guaranteed/protected at.

  Returns:
    LastPx

### setLastPx

    public void setLastPx(double aLastPx)

  Price of this (last) fill. Required if ExecType (150) = Trade or Trade Correct. Should represent the "all-in" (LastSpotRate + LastForwardPoints) rate for F/X orders. If ExecType (150) =Stopped, represents the price stopped/guaranteed/protected at.

  Parameters:
    `aLastPx` - LastPx

### getLastQty

    public double getLastQty()

  Quantity (e.g. shares) bought/sold on this (last) fill.

  Returns:
    LastQty

### setLastQty

    public void setLastQty(double aLastQty)

  Quantity (e.g. shares) bought/sold on this (last) fill.

  Parameters:
    `aLastQty` - LastQty

### getLeavesQty

    public double getLeavesQty()

  Quantity open for further execution

  Returns:
    LeavesQty

### setLeavesQty

    public void setLeavesQty(double aLeavesQty)

  Quantity open for further execution

  Parameters:
    `aLeavesQty` - LeavesQty

### getListID

    public String getListID()

  Unique identifier for list as assigned by institution, used to associate multiple individual orders. Uniqueness must be guaranteed within a single trading day. Firms which generate multi-day orders should consider embedding a date within the ListID (66) field to assure uniqueness across days.

  Returns:
    ListID

### setListID

    public void setListID(String aListID)

  Unique identifier for list as assigned by institution, used to associate multiple individual orders. Uniqueness must be guaranteed within a single trading day. Firms which generate multi-day orders should consider embedding a date within the ListID (66) field to assure uniqueness across days.

  Parameters:
    `aListID` - ListID

### getMassStatusReqID

    public String getMassStatusReqID()

  Obtains the request id from the original batch request, this will be the same for all message in the batch so that it is possible to tie a batch together.

  Returns:
    batch request id

### setMassStatusReqID

    public void setMassStatusReqID(String aMassStatusReqID)

  Sets the request id from the original batch request, this will be the same for all message in the batch so that it is possible to tie a batch together.

  Parameters:
    `aMassStatusReqID` - MassStatusReqID

### getOrderPercent

    public double getOrderPercent()

  Get OrderPercent, 1.0 equals net qty order

  Returns:

### setOrderPercent

    public void setOrderPercent(double aOrderPercent)

  Set OrderPercent, 1.0 equals net qty order

  Parameters:
    `aOrderPercent` -

### getOrderQty

    public double getOrderQty()

  Retrieve order amount

  Returns:
    order amount

### setOrderQty

    public void setOrderQty(double aOrderQty)

  Set order amount

  Parameters:
    `aOrderQty` - order amount

### getOrdRejReason

    public IOrdRejReason getOrdRejReason()

### setOrdRejReason

    public void setOrdRejReason(IOrdRejReason aOrdRejReason)

### getOrdStatus

    public IOrdStatus getOrdStatus()

  Obtains the order status of this execution report

  Returns:
    One of the values from `OrdStatusFactory`

### setOrdStatus

    public void setOrdStatus(IOrdStatus aOrdStatus)

  Sets the order status of this execution report One of the values from `OrdStatusFactory`

  Parameters:
    `aOrdStatus` - OrdStatus

### getOrdStatusReqID

    public String getOrdStatusReqID()

  Can be used to uniquely identify a specific Order Status Request message.

  Returns:
    OrdStatusReqID

### setOrdStatusReqID

    public void setOrdStatusReqID(String aOrdStatusReqID)

  Can be used to uniquely identify a specific Order Status Request message.

  Parameters:
    `aOrdStatusReqID` - OrdStatusReqID

### getOrdType

    public IOrdType getOrdType()

  Obtains the order type of this execution report

  Returns:
    One of the values from `OrdTypeFactory`

### setOrdType

    public void setOrdType(IOrdType aOrdType)

  Sets the order type of this execution report One of the values from `OrdTypeFactory`

  Parameters:
    `aOrdType` - OrdType

### getOrigClOrdID

    public String getOrigClOrdID()

  Obtains the original client order id

  Returns:
    original client order id

### setOrigClOrdID

    public void setOrigClOrdID(String aOrigClOrdID)

  Sets the original client order id

  Parameters:
    `aOrigClOrdID` - OrigClOrdID

### getPegInstructions

    public PegInstruction getPegInstructions()

  PegInstructions for this Order not in use currently

  Returns:
    PegInstruction

### getPrice

    public double getPrice()

  Retrieve the price of the order

  Returns:
    the price of the order.

### setPrice

    public void setPrice(double aPrice)

  Set the price of the order

  Parameters:
    `aPrice` - Price

### getRequestID

    public String getRequestID()

  Description copied from interface: `ITransportable`
  Obtains the Request ID on this object

### getSecondaryOrderID

    public String getSecondaryOrderID()

### setSecondaryOrderID

    public void setSecondaryOrderID(String aSecondaryOrderID)

### getSide

    public ISide getSide()

  Retrieve the side of this order, Buy or Sell

  Returns:
    One of the values from `SideFactory`

### setSide

    public void setSide(ISide aSide)

  Set the aSide for this order. The aSide is from the client's perspective One of the values from `SideFactory`

  Parameters:
    `aSide` - Side

### getStopPx

    public double getStopPx()

  Required for OrdType (40) = "Stop" or OrdType (40) = "Stop limit".

  Returns:
    stop price

### setStopPx

    public void setStopPx(double aStopPx)

  Required for OrdType (40) = "Stop" or OrdType (40) = "Stop limit".

  Parameters:
    `aStopPx` - stop price

### getText

    public String getText()

  Free format text string

  Returns:
    Additional client information, as set by the client

### setText

    public void setText(String aText)

  Free format text string

  Parameters:
    `aText` - Text

### getTimeInForce

    public ITimeInForce getTimeInForce()

  Specifies how long the order remains in effect. Absence of this field is interpreted as DAY.

  Returns:
    One of the values from `TimeInForceFactory`

### setTimeInForce

    public void setTimeInForce(ITimeInForce aTimeInForce)

  Specifies how long the order remains in effect. Absence of this field is interpreted as DAY. One of the values from `TimeInForceFactory`

  Parameters:
    `aTimeInForce` - TimeInForce

### getTotNumReports

    public int getTotNumReports()

  Total number or reports returned in response to a request Can be used when responding to an Order Mass Status Request to identify the total number of Execution Reports which will be returned.

  Returns:
    TotNumReports

### setTotNumReports

    public void setTotNumReports(int aTotNumReports)

  Sets the total number or reports returned in response to a request Can be used when responding to an Order Mass Status Request to identify the total number of Execution Reports which will be returned.

  Parameters:
    `aTotNumReports` - TotNumReports

### getType

    public com.fxcm.entity.ICode getType()

  Description copied from interface: `ITransportable`
  Obtains object type.

  Returns:
    code of object type.

### isLastRptRequested

    public boolean isLastRptRequested()

  Indicates whether this message is that last report message in response to a request, such as Order Mass Status Request.

  Returns:
    true/false

### setLastRptRequested

    public void setLastRptRequested(boolean aLastRptRequested)

  Sets whether this message is that last report message in response to a request, such as Order Mass Status Request.

  Parameters:
    `aLastRptRequested` - LastRptRequested

### isValid

    public boolean isValid()

  Description copied from interface: `ITransportable`
  Validates object state.

  Returns:
    `true` if object state is valid, `false` otherwise.

### setPegInstructions

    public void setPegInstructions(PegInstruction aPegInstructions)

  Parameters:
    `aPegInstructions` - PegInstructions

### toMessage

    public IMessage toMessage(String aSID,
                              String aTradingSessionID,
                              String aTradingSessionSubID,
                              String aRequestID,
                              int aOptions,
                              IMessageFactory aFactory)

  Description copied from class: `ATradeTransportable`
  Converts object to IMessage.

  Specified by:
    `toMessage` in interface `ITransportable`
  Overrides:
    `toMessage` in class `ATradeTransportable`
  Parameters:
    `aSID` - user session ID
    `aTradingSessionID` - Trading Session ID, to alternate a value from object state
    `aTradingSessionSubID` - Trading Session Sub ID, to alternate a value from object state
    `aRequestID` - Request ID, to alternate a value from object state
    `aOptions` - Set of options for message creation, reserved
    `aFactory` - message factory that is in use to process
  Returns:
    new messge create or `null` if creation fails

### toString

    public String toString()

  Overrides:
    `toString` in class `ATradeTransportable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.